> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1programs



## OpenAPI

````yaml /api/openapi.json patch /api/v1/programs/{programId}
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/programs/{programId}:
    patch:
      tags:
        - session
      operationId: updateProgram
      parameters:
        - name: programId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                description:
                  type: string
                templateId:
                  anyOf:
                    - type: string
                      minLength: 1
                    - type: 'null'
                brand:
                  $ref: '#/components/schemas/Brand'
              required: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Program'
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    Brand:
      type: object
      properties:
        accent:
          anyOf:
            - $ref: '#/components/schemas/Accent'
            - type: 'null'
        logo:
          anyOf:
            - type: object
              properties:
                fileId:
                  type: string
                  minLength: 1
                alt:
                  type: string
                  minLength: 1
              required:
                - fileId
                - alt
              additionalProperties: false
            - type: 'null'
      required:
        - accent
        - logo
      additionalProperties: false
    Program:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        name:
          type: string
          minLength: 1
        description:
          type: string
        templateId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        brand:
          $ref: '#/components/schemas/Brand'
        createdAt:
          type: string
          minLength: 1
      required:
        - id
        - name
        - description
        - templateId
        - brand
        - createdAt
      additionalProperties: false
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
    Accent:
      type: string
      enum:
        - teal
        - blue
        - plum
        - rust
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````